Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

getting ssl error while installing fresh.

getting ssl error while installing fresh.

I am using ambari 2.4.2 and getting below error while registering ambari-agent . If I do not want two-way ssl then how I can disable.

Tried this link but didn't worked.

ERROR 2018-08-03 13:20:12,579 Controller.py:212 - Unable to connect to: https://mosaic.sandbox.com:8441/agent/v1/register/mosaic.sandbox.com
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/ambari_agent/Controller.py", line 165, in registerWithServer
    ret = self.sendRequest(self.registerUrl, data)
  File "/usr/lib/python2.6/site-packages/ambari_agent/Controller.py", line 496, in sendRequest
    raise IOError(\'Request to {0} failed due to {1}\'.format(url, str(exception)))
IOError: Request to https://mosaic.sandbox.com:8441/agent/v1/register/mosaic.sandbox.com failed due to EOF occurred in violation of protocol (_ssl.c:579)
ERROR 2018-08-03 13:20:12,579 Controller.py:213 - Error:Request to https://mosaic.sandbox.com:8441/agent/v1/register/mosaic.sandbox.com failed due to EOF occurred in violation of protocol (_ssl.c:579)
WARNING 2018-08-03 13:20:12,580 Controller.py:214 -  Sleeping for 15 seconds and then trying again 
', None)
('INFO 2018-08-03 13:20:12,459 Facter.py:194 - Directory: \'/etc/resource_overrides\' does not exist - it won\'t be used for gathering system resources.

5 REPLIES 5
Highlighted

Re: getting ssl error while installing fresh.

Contributor

This is not the issue with 2 way ssl. SSL is disabled by default.

If you are facing this issue in fresh install, add below property in ambari-agent.ini file and restart the service

[security]
force_https_protocol=PROTOCOL_TLSv1_2

Re: getting ssl error while installing fresh.

I have tried this bit not worked.

Re: getting ssl error while installing fresh.

@Ashnee Sharma Which OS are you using CentOS6/RHEL6 does not support TLSV1_2 version - you your Java might be blocking TLS1, TLS1_1 version - so you may have to tweak the service java.security file. Please refer https://community.hortonworks.com/articles/188269/javapython-updates-and-ambari-agent-tls-settings.h...

Re: getting ssl error while installing fresh.

I am using RHEL 7.4

Re: getting ssl error while installing fresh.

please refer the article I mentioned above

Don't have an account?
Coming from Hortonworks? Activate your account here